# Uses of Class
javax.swing.plaf.LayerUI

Packages that use LayerUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of LayerUI in javax.swing

Methods in javax.swing that return LayerUI
Modifier and Type
Method
Description
`LayerUI<? super V>`
JLayer.`getUI()`
Returns the `LayerUI` for this `JLayer`.
Methods in javax.swing with parameters of type LayerUI
Modifier and Type
Method
Description
`void`
JLayer.`setUI(LayerUI<? super V> ui)`
Sets the `LayerUI` which will perform painting and receive input events for this `JLayer`.
Constructors in javax.swing with parameters of type LayerUI
Modifier
Constructor
Description
``
`JLayer(V view, LayerUI<V> ui)`
Creates a new `JLayer` object with the specified view component and `LayerUI` object.